// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package consts

const (
	PageSize         = 10
	TimeSecondLayOut = "2006-01-02 15:04:05"
	DayLayOut        = "2006-01-02"
	HalfMinSecond    = 30
	MinSecond        = 60
)

// 人员状态
const (
	StaffNew             = 0
	StaffStayDownload    = 1
	StaffAlreadyDownload = 2
	StaffStayDelete      = 3
)

// 员工类型
const (
	ManagementStaff = 1
	LaborStaff      = 2
)

// 反馈类型
const (
	DeleteSucess   = 0
	DeleteFail     = 1
	DownLoadSucess = 2
	DownLoadFail   = 3
)

const (
	DeviceOffline = 0
	DeviceOnline  = 1
)

const ()
const (
	DeviceOfflineCode       = "O001"
	AccessControlDeviceName = "门禁设备"
	AccessControlDeviceCode = 3
)

var IDCardType = map[int]string{
	1:"身份证",
	2:"护照",
}

var PoliticsType = map[int]string{
	1:"中共党员",
	2:"中共预备党员",
	3:"共青团员",
	4:"民革党员",
	5:"民盟盟员",
	6:"民建会员",
	7:"民进会员",
	8:"农工党党员",
	9:"致公党党员",
	10:"九三学社社员",
	11:"台盟盟员",
	12:"无党派人士",
	13:"群众",
}

var CultureLevelType = map[int]string{
	1:"小学",
	2:"初中",
	3:"高中",
	4:"中专",
	5:"大专",
	6:"本科",
	7:"硕士",
	8:"博士",
	99:"其他",
}

var NationIntMap = map[int]string{
	1:"汉族",
	2:"蒙古族",
	3:"回族",
	4:"藏族",
	5:"维吾尔族",
	6:"苗族",
	7:"彝族",
	8:"壮族",
	9:"布依族",
	10:"朝鲜族",
	11:"满族",
	12:"侗族",
	13:"瑶族",
	14:"白族",
	15:"土家族",
	16:"哈尼族",
	17:"哈萨克族",
	18:"傣族",
	19:"黎族",
	20:"傈僳族",
	21:"佤族",
	22:"畲族",
	23:"高山族",
	24:"拉祜族",
	25:"水族",
	26:"东乡族",
	27:"纳西族",
	28:"景颇族",
	29:"柯尔克孜族",
	30:"土族",
	31:"达斡尔族",
	32:"仫佬族",
	33:"羌族",
	34:"布朗族",
	35:"撒拉族",
	36:"毛难族",
	37:"仡佬族",
	38:"锡伯族",
	39:"阿昌族",
	40:"普米族",
	41:"塔吉克族",
	42:"怒族",
	43:"乌孜别克族",
	44:"俄罗斯族",
	45:"鄂温克族",
	46:"德昂族",
	47:"保安族",
	48:"裕固族",
	49:"京族",
	50:"塔塔尔族",
	51:"独龙族",
	52:"鄂伦春族",
	53:"赫哲族",
	54:"门巴族",
	55:"珞巴族",
	56:"基诺族",
}

var NationStrMap = map[string]string{
	"HA":"汉族",
	"MG":"蒙古族",
	"HU":"回族",
	"ZA":"藏族",
	"UG":"维吾尔族",
	"MH":"苗族",
	"YI":"彝族",
	"ZH":"壮族",
	"BY":"布依族",
	"CS":"朝鲜族",
	"MA":"满族",
	"DO":"侗族",
	"YA":"瑶族",
	"BA":"白族",
	"TJ":"土家族",
	"HN":"哈尼族",
	"KZ":"哈萨克族",
	"DA":"傣族",
	"LI":"黎族",
	"LS":"傈僳族",
	"VA":"佤族",
	"SH":"畲族",
	"GS":"高山族",
	"LH":"拉祜族",
	"SU":"水族",
	"DX":"东乡族",
	"NX":"纳西族",
	"JP":"景颇族",
	"KG":"柯尔克孜族",
	"TU":"土族",
	"DU":"达斡尔族",
	"ML":"仫佬族",
	"QI":"羌族",
	"BL":"布朗族",
	"SL":"撒拉族",
	"MN":"毛难族",
	"GL":"仡佬族",
	"XB":"锡伯族",
	"AC":"阿昌族",
	"PM":"普米族",
	"TA":"塔吉克族",
	"NU":"怒族",
	"UZ":"乌孜别克族",
	"RS":"俄罗斯族",
	"EW":"鄂温克族",
	"DE":"德昂族",
	"BN":"保安族",
	"YG":"裕固族",
	"GI":"京族",
	"TT":"塔塔尔族",
	"DR":"独龙族",
	"OR":"鄂伦春族",
	"HZ":"赫哲族",
	"MB":"门巴族",
	"LB":"珞巴族",
	"JN":"基诺族",
}

var NationIntStr = map[int]string{
	1: "HA",
	2: "MG",
	3: "HU",
	4: "ZA",
	5: "UG",
	6: "MH",
	7: "YI",
	8: "ZH",
	9: "BY",
	10:"CS",
	11:"MA",
	12:"DO",
	13:"YA",
	14:"BA",
	15:"TJ",
	16:"HN",
	17:"KZ",
	18:"DA",
	19:"LI",
	20:"LS",
	21:"VA",
	22:"SH",
	23:"GS",
	24:"LH",
	25:"SU",
	26:"DX",
	27:"NX",
	28:"JP",
	29:"KG",
	30:"TU",
	31:"DU",
	32:"ML",
	33:"QI",
	34:"BL",
	35:"SL",
	36:"MN",
	37:"GL",
	38:"XB",
	39:"AC",
	40:"PM",
	41:"TA",
	42:"NU",
	43:"UZ",
	44:"RS",
	45:"EW",
	46:"DE",
	47:"BN",
	48:"YG",
	49:"GI",
	50:"TT",
	51:"DR",
	52:"OR",
	53:"HZ",
	54:"MB",
	55:"LB",
	56:"JN",
}

