// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/attendance": {
            "put": {
                "description": "上传考勤数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "上传考勤数据",
                "parameters": [
                    {
                        "description": "上传考勤数据",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.AttendanceRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AttendanceResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/auth": {
            "put": {
                "description": "授权获取key",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "授权获取key",
                "parameters": [
                    {
                        "description": "授权信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff": {
            "put": {
                "description": "更新员工信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "更新员工信息",
                "parameters": [
                    {
                        "description": "上传员工信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RegisterBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "上传员工信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "上传员工信息",
                "parameters": [
                    {
                        "description": "上传员工信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RegisterRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RegisterResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/staff/del": {
            "put": {
                "description": "删除员工信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "删除员工信息",
                "parameters": [
                    {
                        "description": "删除人员",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.StaffDeleteBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StaffDeleteResp"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/team": {
            "put": {
                "description": "更新班组信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "更新班组信息",
                "parameters": [
                    {
                        "description": "班组信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.TeamInfoBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TeamUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "上传班组信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "上传班组信息",
                "parameters": [
                    {
                        "description": "上传班组信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.TeamInfoBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TeamInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/team/del": {
            "put": {
                "description": "删除班组信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "user"
                ],
                "summary": "删除班组信息",
                "parameters": [
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.TeamDeleteBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TeamDeleteResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/ping": {
            "put": {
                "description": "心跳",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "heatbeat"
                ],
                "summary": "心跳",
                "parameters": [
                    {
                        "description": "sn",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PingBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PingResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.AttendanceRequest": {
            "type": "object",
            "required": [
                "sn"
            ],
            "properties": {
                "datetime": {
                    "type": "string"
                },
                "direction": {
                    "type": "integer"
                },
                "id_card_number": {
                    "type": "string"
                },
                "id_card_type": {
                    "type": "integer"
                },
                "sn": {
                    "type": "string"
                },
                "team_name": {
                    "type": "string"
                },
                "team_sys_no": {
                    "description": "json 数组 Content 里面的内容用 des 加密 deskey: 对接的时候提供,\n加密前格式：\n{\n\"count\": 2,\n\"logs\":[\n{\"sn\": \"XXXX\",\"user_id\": \"XXXXX\",\"recog_time\":\n\"yyyy-Mm-dd HH:mm:SS\"},\n{\"sn\": \"XXXX\",\"user_id\": \"XXXXX\",\"recog_time\": \"yyyy-M\nm-dd HH:mm:SS\"}\n] }\nAppKey  string              ` + "`" + `form:\"app_key\" json:\"app_key\" binding:\"required\"` + "`" + `",
                    "type": "integer"
                },
                "work_name": {
                    "type": "string"
                },
                "work_no": {
                    "type": "string"
                }
            }
        },
        "v1.AttendanceResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "required": [
                "sn"
            ],
            "properties": {
                "sn": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResp": {
            "type": "object",
            "properties": {
                "key": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginResp"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PingBody": {
            "type": "object",
            "required": [
                "sn"
            ],
            "properties": {
                "sn": {
                    "type": "string"
                }
            }
        },
        "v1.PingResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RegisterBody": {
            "type": "object",
            "required": [
                "sn"
            ],
            "properties": {
                "address": {
                    "type": "string"
                },
                "age": {
                    "type": "integer"
                },
                "colture_level_type": {
                    "type": "integer"
                },
                "corp_code": {
                    "type": "string"
                },
                "corp_name": {
                    "type": "string"
                },
                "gender": {
                    "type": "string"
                },
                "grant_org": {
                    "type": "string"
                },
                "has_contract": {
                    "type": "string"
                },
                "head_image": {
                    "type": "string"
                },
                "id_card_number": {
                    "type": "string"
                },
                "id_card_type": {
                    "type": "integer"
                },
                "is_team_leader": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "nation": {
                    "type": "integer"
                },
                "native_place": {
                    "type": "string"
                },
                "politics_type": {
                    "type": "integer"
                },
                "sn": {
                    "type": "string"
                },
                "team_name": {
                    "type": "string"
                },
                "team_sys_no": {
                    "type": "integer"
                },
                "work_name": {
                    "type": "string"
                },
                "work_no": {
                    "type": "string"
                },
                "work_type": {
                    "type": "string"
                }
            }
        },
        "v1.RegisterRequest": {
            "type": "object",
            "required": [
                "sn"
            ],
            "properties": {
                "address": {
                    "type": "string"
                },
                "age": {
                    "type": "integer"
                },
                "colture_level_type": {
                    "type": "integer"
                },
                "corp_code": {
                    "type": "string"
                },
                "corp_name": {
                    "type": "string"
                },
                "gender": {
                    "type": "string"
                },
                "grant_org": {
                    "type": "string"
                },
                "has_contract": {
                    "type": "string"
                },
                "head_image": {
                    "type": "string"
                },
                "id_card_number": {
                    "type": "string"
                },
                "id_card_type": {
                    "type": "integer"
                },
                "is_team_leader": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "nation": {
                    "type": "integer"
                },
                "native_place": {
                    "type": "string"
                },
                "politics_type": {
                    "type": "integer"
                },
                "sn": {
                    "type": "string"
                },
                "team_name": {
                    "type": "string"
                },
                "team_sys_no": {
                    "type": "integer"
                },
                "work_name": {
                    "type": "string"
                },
                "work_no": {
                    "type": "string"
                },
                "work_type": {
                    "type": "string"
                }
            }
        },
        "v1.RegisterResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StaffDeleteBody": {
            "type": "object",
            "required": [
                "sn",
                "work_nos"
            ],
            "properties": {
                "sn": {
                    "type": "string"
                },
                "work_nos": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.StaffDeleteResp": {
            "type": "object",
            "properties": {
                "work_nos": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.StaffUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TeamDeleteBody": {
            "type": "object",
            "properties": {
                "sn": {
                    "type": "string"
                },
                "team_sys_nos": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.TeamDeleteResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TeamInfoBody": {
            "type": "object",
            "properties": {
                "corp_code": {
                    "type": "string"
                },
                "corp_name": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "sn": {
                    "type": "string"
                },
                "team_leader_name": {
                    "type": "string"
                },
                "team_leader_phone": {
                    "type": "string"
                },
                "team_name": {
                    "type": "string"
                },
                "team_sys_no": {
                    "type": "integer"
                }
            }
        },
        "v1.TeamInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TeamUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project access-control-monitor's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
