package model

import (
	"time"

	"github.com/jaryhe/gopkgs/logger"
	"github.com/jinzhu/gorm"
	"go.uber.org/zap"
)

type ProjectWorkInoutInfo struct {
	ID int64 `gorm:"column:ID;PRIMARY_KEY" json:"id"`
	Code string `gorm:"column:Code" json:"code"`
	IDCardNumber string `gorm:"column:IDCardNumber" json:"id_card_number"`
	InOut int `gorm:"column:InOut" json:"in_out"`
	OccurTime time.Time `gorm:"column:OccurTime" json:"occur_time"`
	ProjectId int64 `gorm:"column:ProjectId" json:"project_id"`
	WorkNo string `gorm:"column:WorkNo" json:"work_no"`
}

func (ProjectWorkInoutInfo) TableName() string {
	return "db_smart_attendance.ProjectWorkInoutInfo"
}

// Insert 插入一条记录
func (p *ProjectWorkInoutInfo) Insert(db *gorm.DB) error {
	err := db.Table(p.TableName()).Create(p).Error
	if err != nil {
		fields, _ := json.MarshalToString(*p)
		logger.Error("mysql",
			zap.String("sql", "insert into ProjectWorkInoutInfo"),
			zap.String("fields", fields),
			zap.String("error", err.Error()))
	}
	return err
}
